package com.jasamedika.medifirst2000.vo;

import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class StatusPegawaiJadwalKerjaVO extends BaseMasterVO{

	@NotNull(message="Kode Status Pegawai Jadwal Kerja tidak boleh kosong")
	@Caption(value="Kode Status Pegawai Jadwal Kerja")
	private Byte kdStatusPegawaiJadwalKerja;
	
	@NotNull(message="QStatus Pegawai Jadwal Kerja tidak boleh kosong")
	@Caption(value="QStatus Pegawai Jadwal Kerja")
	private Byte qStatusPegawaiJadwalKerja;
	
	@NotNull(message="Status Pegawai Jadwal Kerja tidak boleh kosong")
	@Caption(value="Status Pegawai Jadwal Kerja")
	private String statusPegawaiJadwalKerja;

	public Byte getKdStatusPegawaiJadwalKerja() {
		return kdStatusPegawaiJadwalKerja;
	}

	public void setKdStatusPegawaiJadwalKerja(Byte kdStatusPegawaiJadwalKerja) {
		this.kdStatusPegawaiJadwalKerja = kdStatusPegawaiJadwalKerja;
	}

	public Byte getqStatusPegawaiJadwalKerja() {
		return qStatusPegawaiJadwalKerja;
	}

	public void setqStatusPegawaiJadwalKerja(Byte qStatusPegawaiJadwalKerja) {
		this.qStatusPegawaiJadwalKerja = qStatusPegawaiJadwalKerja;
	}

	public String getStatusPegawaiJadwalKerja() {
		return statusPegawaiJadwalKerja;
	}

	public void setStatusPegawaiJadwalKerja(String statusPegawaiJadwalKerja) {
		this.statusPegawaiJadwalKerja = statusPegawaiJadwalKerja;
	}
}
